> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Ticket

> Update a support ticket's status or details.

## Update ticket

`PUT /api/tickets/:id`

Update a support ticket.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```json theme={null}
{
  "status": "in_progress",
  "priority": "medium",
  "assignedTo": 3
}
```

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/tickets/10 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "in_progress",
    "priority": "medium",
    "assignedTo": 3
  }'
```

***

## Delete ticket

`DELETE /api/tickets/:id`

```bash cURL theme={null}
curl -X DELETE https://zeplo.ai/api/tickets/10 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.